import { Policy } from "@lib/Policies";
import { AuthorizedTokenRequest } from "@dunemask/vix/express";
import { Project, User } from "@prisma/client";

export interface UserRequest extends AuthorizedTokenRequest {
  user: User;
  policies: Policy[];
  project: Project;
}
