import policyMiddlewareGuard from "@lib/middlewares/policy-guard";
import userGuard from "@lib/middlewares/user-guard";
import AppGuard from "./AppGuards";

export default class RouteGuard {
  static User = userGuard();
  static ManageProjectsRead = policyMiddlewareGuard(AppGuard.ManageProjects);
  static MangeProjectsCreate = policyMiddlewareGuard(AppGuard.CreateProjects);
}
