import { Flex, FlexProps, Spinner, SpinnerProps } from "@chakra-ui/react";
export function LoadingSpinner(props: SpinnerProps) {
  return <Spinner height="300px" width="300px" {...props} />;
}

export function CenteredLoadingSpinner(props: { SpinnerProps?: SpinnerProps; FlexProps?: FlexProps }) {
  return (
    <Flex flexDir="column" alignItems="center" justifyContent="center" p="20px" h="100vh" {...props.FlexProps}>
      <Spinner height="250px" width="250px" mb="-40px" {...props.SpinnerProps} />
    </Flex>
  );
}
