import { Flex, FlexProps, TextProps, Text } from "@chakra-ui/react";
import React from "react";

export function CenteredErrorFallback(props: { TextProps?: TextProps; FlexProps?: FlexProps }) {
  return (
    <Flex flexDir="column" alignItems="center" justifyContent="center" p="20px" h="100vh" {...props.FlexProps}>
      <Text {...props.TextProps}>
        Oops! Looks like something broke!
        <br /> Please try again later!
      </Text>
    </Flex>
  );
}
