import { useAuth } from "@src/ctx/AuthContext";
import { useEffect } from "react";

export default function useInitHooks() {
  const { authInit } = useAuth();
  useEffect(function initHooks() {
    authInit();
  }, []);
}
